Lazysupper

Koenji, the world and elsewhere


2 Comments

Microsoft can’t recognize it’s own software?

Trying to fix the Error Microsoft gave me when it tried to automatically update my Windows 10 today. I tried to open the manual update page in Firefox but it told me to use Internet Explorer. Okay, so I opened Microsoft Edge, which I thought was Internet Explorer’s cutting edge replacement. So I was surprised it couldn’t handle their own website.

The page then told me it’s best to use Internet Explorer — which it reminded me I have on my computer (news to me actually!). So fine, I clicked the “Open with Internet Explorer” link the page provided.

The new page then told me that I “must be running Internet Explorer 6.0 or later.” So I checked the version of my IE (seeing as I haven’t used IE since 1997 I really had no idea what version I ‘d be on). But I’m running version 11! Much much later than 6.0 I reckon. What say you Microsoft?

 

microsoftisdumb